> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.dropboxapi.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.dropboxapi.com/_mcp/server.

# Reports Get Activity

POST https://api.dropboxapi.com/2/team/reports/get_activity
Content-Type: application/json

Retrieves reporting data about a team's user activity.
 Deprecated: Will be removed on July 1st 2021.

**Required scope:** `team_info.read`

**Endpoint format:** [RPC](https://docs.dropboxapi.com/dropbox-api/docs/technical-reference/request-response-formats#rpc-endpoints)

**Authentication:** [Team](https://docs.dropboxapi.com/dropbox-api/docs/auth-types#team-authentication)

Reference: https://docs.dropboxapi.com/dropbox-api/api-reference/business-endpoints/team/reports-get-activity

## Authentication

- `Authorization` header (bearer token, required) — Team-level OAuth 2.0 token issued to a Dropbox Business admin. Use `Authorization: Bearer <token>`. Obtain via the authorization code flow with team-scoped permissions. Grants access to team-wide administrative operations. You can generate a short-lived access token from the App Console; see [Testing with a generated token](https://docs.dropboxapi.com/dropbox-api/docs/oauth#testing-with-a-generated-token).

## Request

### Body (application/json)

This endpoint expects an object.

- `end_date` (date, optional, nullable) — Optional ending date (exclusive).
- `start_date` (date, optional, nullable) — Optional starting date (inclusive). If start_date is None or too long ago, this field will be set to 6 months ago.

## Response

### 200

Successful response

- `start_date` (string, required) — First date present in the results as 'YYYY-MM-DD' or None.
- `active_shared_folders_1_day` (list of uint64, required) — Array of the number of shared folders with some activity in the last day.
- `active_shared_folders_28_day` (list of uint64, required) — Array of the number of shared folders with some activity in the last 28 days.
- `active_shared_folders_7_day` (list of uint64, required) — Array of the number of shared folders with some activity in the last week.
- `active_users_1_day` (list of uint64, required) — Array of the number of users who have been active in the last day.
- `active_users_28_day` (list of uint64, required) — Array of the number of users who have been active in the last 28 days.
- `active_users_7_day` (list of uint64, required) — Array of the number of users who have been active in the last week.
- `adds` (list of uint64, required) — Array of total number of adds by team members.
- `deletes` (list of uint64, required) — Array of total number of deletes by team members.
- `edits` (list of uint64, required) — Array of number of edits by team members. If the same user edits the same file multiple times this is counted as a single edit.
- `shared_links_created` (list of uint64, required) — Array of the number of shared links created.
- `shared_links_viewed_by_not_logged_in` (list of uint64, required) — Array of the number of views by non-logged-in users to shared links created by the team.
- `shared_links_viewed_by_outside_user` (list of uint64, required) — Array of the number of views by users outside of the team to shared links created by the team.
- `shared_links_viewed_by_team` (list of uint64, required) — Array of the number of views by team users to shared links created by the team.
- `shared_links_viewed_total` (list of uint64, required) — Array of the total number of views to shared links created by the team.

## Errors

### 401 Unauthorized Error

Bad or expired token

- `error` (object or object or object or object or object or object or object or object, required) — Errors occurred during authentication.
  - auth_apiv2.AuthError.invalid_access_token
    - `.tag` (enum, required)
      - Allowed values: `invalid_access_token`
  - auth_apiv2.AuthError.invalid_select_user
    - `.tag` (enum, required)
      - Allowed values: `invalid_select_user`
  - auth_apiv2.AuthError.invalid_select_admin
    - `.tag` (enum, required)
      - Allowed values: `invalid_select_admin`
  - auth_apiv2.AuthError.user_suspended
    - `.tag` (enum, required)
      - Allowed values: `user_suspended`
  - auth_apiv2.AuthError.expired_access_token
    - `.tag` (enum, required)
      - Allowed values: `expired_access_token`
  - auth_apiv2.AuthError.missing_scope
    - `.tag` (enum, required)
      - Allowed values: `missing_scope`
    - `required_scope` (string, required) — The required scope to access the route.
  - auth_apiv2.AuthError.route_access_denied
    - `.tag` (enum, required)
      - Allowed values: `route_access_denied`
  - Other
    - `.tag` (string, optional)
- `error_summary` (string, required) — A human-readable summary of the error.

### 403 Forbidden Error

The user or team account doesn't have access to the endpoint or feature

- `error` (object or object or object or object or object, required) — Error occurred because the account doesn't have permission to access the resource.
  - auth_apiv2.AccessError.invalid_account_type
    - `.tag` (enum, required)
      - Allowed values: `invalid_account_type`
    - `invalid_account_type` (object or object or object, required)
      - auth_apiv2.InvalidAccountTypeError.endpoint
        - `.tag` (enum, required)
          - Allowed values: `endpoint`
      - auth_apiv2.InvalidAccountTypeError.feature
        - `.tag` (enum, required)
          - Allowed values: `feature`
      - Other
        - `.tag` (string, optional)
  - auth_apiv2.AccessError.paper_access_denied
    - `.tag` (enum, required)
      - Allowed values: `paper_access_denied`
    - `paper_access_denied` (object or object or object, required)
      - auth_apiv2.PaperAccessError.paper_disabled
        - `.tag` (enum, required)
          - Allowed values: `paper_disabled`
      - auth_apiv2.PaperAccessError.not_paper_user
        - `.tag` (enum, required)
          - Allowed values: `not_paper_user`
      - Other
        - `.tag` (string, optional)
  - auth_apiv2.AccessError.team_access_denied
    - `.tag` (enum, required)
      - Allowed values: `team_access_denied`
  - auth_apiv2.AccessError.no_permission
    - `.tag` (enum, required)
      - Allowed values: `no_permission`
    - `no_permission` (object or object, required)
      - auth_apiv2.NoPermissionError.unauthorized_account_id_usage
        - `.tag` (enum, required)
          - Allowed values: `unauthorized_account_id_usage`
        - `unauthorized_account_ids` (list of string, required) — The account IDs that the caller does not have permission to use.
      - Other
        - `.tag` (string, optional)
  - Other
    - `.tag` (string, optional)
- `error_summary` (string, required) — A human-readable summary of the error.

### 409 Conflict Error

Endpoint-specific error

- `error` (object, required) — Errors that can originate from problems in input arguments to reports.
  - Other
    - `.tag` (string, optional)
- `error_summary` (string, required) — A human-readable summary of the error.
- `user_message` (object, optional)
  - `locale` (string, optional)
  - `text` (string, optional)

### 429 Too Many Requests Error

The app is making too many requests for the given user or team and is being rate limited. The app should wait for the number of seconds specified in the "Retry-After" response header before trying again.

- `error` (object, required) — Error occurred because the app is being rate limited.
  - `reason` (object or object or object, required) — The reason why the app is being rate limited.
    - auth_apiv2.RateLimitReason.too_many_requests
      - `.tag` (enum, required)
        - Allowed values: `too_many_requests`
    - auth_apiv2.RateLimitReason.too_many_write_operations
      - `.tag` (enum, required)
        - Allowed values: `too_many_write_operations`
    - Other
      - `.tag` (string, optional)
  - `retry_after` (uint64, optional, default: 1) — The number of seconds that the app should wait before making another request.
- `error_summary` (string, required) — A human-readable summary of the error.

### 500 Internal Server Error

Internal server error. An error occurred on the Dropbox servers. Check https://status.dropbox.com/ for announcements about Dropbox service issues.

- `any`

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "start_date": "string",
  "active_shared_folders_1_day": [
    1
  ],
  "active_shared_folders_28_day": [
    1
  ],
  "active_shared_folders_7_day": [
    1
  ],
  "active_users_1_day": [
    1
  ],
  "active_users_28_day": [
    1
  ],
  "active_users_7_day": [
    1
  ],
  "adds": [
    1
  ],
  "deletes": [
    1
  ],
  "edits": [
    1
  ],
  "shared_links_created": [
    1
  ],
  "shared_links_viewed_by_not_logged_in": [
    1
  ],
  "shared_links_viewed_by_outside_user": [
    1
  ],
  "shared_links_viewed_by_team": [
    1
  ],
  "shared_links_viewed_total": [
    1
  ]
}
```

**SDK Code**

```python
import requests

url = "https://api.dropboxapi.com/2/team/reports/get_activity"

payload = {}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.dropboxapi.com/2/team/reports/get_activity';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.dropboxapi.com/2/team/reports/get_activity"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.dropboxapi.com/2/team/reports/get_activity")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.dropboxapi.com/2/team/reports/get_activity")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.dropboxapi.com/2/team/reports/get_activity', [
  'body' => '{}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.dropboxapi.com/2/team/reports/get_activity");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.dropboxapi.com/2/team/reports/get_activity")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```